Не поддерживается XML-библиотека

У меня PostgreSQL версии 9.4.2 под Windows 8
При попытке загрузить данные таблицы с поддержкой XML, выдает сообщение об ошибке, копию экрана прилагаю ниже.
Таблица выгружена с PostgreSQL 9.4.4 под Linux. Найти подобную версию под Windows не смогла.
Помогите, пожалуйста.

ВложениеРазмер
123456789.jpg78.37 kb

Опции просмотра комментариев

Выберите предпочитаемый вами способ показа комментариев и нажмите "Сохранить настройки" для активации изменений.

Согласно ошибке, ваша версия

Согласно ошибке, ваша версия PostgreSQL собрана без библиотеки libxml.
Нужна версия собранная с данной библиотекой
Скачать можно отсюда:
https://www.openscg.com/bigsql/postgresql/installers.jsp/
Раскройте "Previous Supported Versions (9.5, 9.4, and 9.3)"
и скачайте версию 9.4.x - все версии в рамках одного релиза (т.е. 9.4.x) полностью совместимы.

Спасибо большое, удалось

Спасибо большое, удалось установить Postgre и загрузить в него таблицу с данными!
Огромное Вам спасибо!

Опции просмотра комментариев

Выберите предпочитаемый вами способ показа комментариев и нажмите "Сохранить настройки" для активации изменений.

Back to top

(С) Виктор Вислобоков, 2008-2010